Name:           libxmlb
Version:        0.3.9
Release:        1
Summary:        A library to help create and query binary XML blobs
License:        LGPLv2+
URL:            https://github.com/hughsie/libxmlb
Source0:        https://github.com/hughsie/libxmlb/archive/refs/tags/0.3.9.tar.gz

BuildRequires:  glib2-devel >= 2.45.8 gobject-introspection-devel meson libuuid-devel
BuildRequires:  gtk-doc libstemmer-devel shared-mime-info xz-devel python3-setuptools

Requires:       glib2 >= 2.45.8 shared-mime-info

%description
XML is slow to parse and strings inside the document cannot be memory mapped as they do not have
a trailing NUL char. The libxmlb library takes XML source, and converts it to a structured binary
representation with a deduplicated string table -- where the strings have the NULs included.

This allows an application to mmap the binary XML file, do an XPath query and return some strings
without actually parsing the entire document. This is all done using (almost) zero allocations and
no actual copying of the binary data.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

Provides:       libxmlb-tests
Obsoletes:      libxmlb-tests

%description devel
This package contains the development files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dtests=true -Dgtkdoc=true
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md
%license LICENSE
%{_bindir}/xb-tool
%{_mandir}/man1/xb-tool.1.gz
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/%{name}.so.2*

%files devel
%{_libdir}/%{name}.so
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-2
%{_libdir}/pkgconfig/*.pc
%{_libexecdir}/*tests/%{name}/*
%{_datadir}/*tests/%{name}

%changelog
* Tue Nov 01 2022 wangkai <wangkai385@h-partners.com> - 0.3.9-1
- Update to 0.3.9

* Mon Nov 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.1.13-2
- Package init
